import MODULE_DETAILS_QUERY from './gql/queries/modules/moduleDetailsQuery.gql';
import ME_QUERY from './gql/queries/meQuery.gql';

export function moduleQuery() {
  return {
    query: MODULE_DETAILS_QUERY,
    variables: {
      slug: this.$route.params.slug
    },
    update({module}) {
      return this.$getRidOfEdges(module) || {};
    }
  };
}

export function meQuery() {
  return {
    query: ME_QUERY
  };
}
